classification
Title: SocketServer creates non-blocking files
Type: Stage:
Components: Library (Lib) Versions: Python 2.4
process
Status: closed Resolution: works for me
Dependencies: Superseder:
Assigned To: Nosy List: georg.brandl, gvanrossum, luke-jr
Priority: normal Keywords:

Created on 2007-11-13 11:22 by luke-jr, last changed 2010-08-21 22:56 by georg.brandl. This issue is now closed.

Messages (3)
msg57445 - (view) Author: Luke-Jr (luke-jr) Date: 2007-11-13 11:22
SocketServer recently started giving my request handler rfiles that 
don't block: readfile() gives me a timeout exception. This used to 
work fine. I begin writing this server with 2.4.3, and it is currently 
running under 2.4.4, so my suspicious is somewhere in between it 
changed.
msg57463 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2007-11-13 18:30
Please provide a self-contained example program that behaves correctly
in 2.4.3 and fails in 2.4.4 if you want us to investigate this further.
How does it behave with 2.5.1?
msg114592 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2010-08-21 22:56
Closing due to lack of activity.
History
Date User Action Args
2010-08-21 22:56:48georg.brandlsetstatus: open -> closed

nosy: + georg.brandl
messages: + msg114592

resolution: works for me
2008-01-20 19:54:01christian.heimessetpriority: normal
2007-11-13 18:30:36gvanrossumsetnosy: + gvanrossum
messages: + msg57463
2007-11-13 11:22:51luke-jrcreate